| The Gaudi Framework v28r2p1 (f1a77ff4)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

Classes | Typedefs | Functions
Genfun::GaudiMathImplementation Namespace Reference

## Classes
class | Adapter2DoubleFunction
| mandatory macro from CLHEP/GenericFunctions More...
class | Adapter3DoubleFunction
| mandatory macro from CLHEP/GenericFunctions More...
class | AdapterIFunction
| constructor from the IFunction ( see AIDA/IFunction.h) More...
class | Constant
| Fixed constant function. More...
class | GSL_Helper
| the simple structure to be used for adaption interface `Genfun::AbsFunction` to `gsl_function` structure More...
class | GSLFunctionWithError
class | GSLFunctionWithMode
| mandatory macro from CLHEP/GenericFunctions More...
class | GSLFunctionWithModeAndError
| mandatory macro from CLHEP/GenericFunctions More...
class | GSLSpline
class | GSLSplineDeriv
class | GSLSplineDeriv2
class | GSLSplineInteg
class | NumericalDefiniteIntegral
| This class allows the numerical evaluation of the following functions: More...
class | NumericalDerivative
| Numerical derivative (using GSL adaptive numerical differentiation) More...
class | NumericalIndefiniteIntegral
| The simple class for numerical integrations. More...
class | SimpleFunction
| mandatory macro from CLHEP/GenericFunctions More...
class | SplineBase

## Typedefs
typedef Genfun::GaudiMathImplementation::SimpleFunction | GSLFunction
| the actual type for primitive adaptor More...

## Functions
double | GSL_Adaptor (double x, void *params)

## Typedef Documentation

typedef Genfun::GaudiMathImplementation::SimpleFunction Genfun::GaudiMathImplementation::GSLFunction

the actual type for primitive adaptor

Definition at line 38 of file GSLFunAdapters.h.

## Function Documentation

double Genfun::GaudiMathImplementation::GSL_Adaptor | ( | double | x,
|  | void * | params
| ) |  |

Definition at line 37 of file Helpers.cpp.

42 {
43 DataObject* o = nullptr;
44 if ( !dpsvc ) {
45 return nullptr;
46 } // RETURN
47 StatusCode sc = dpsvc->findObject( path, o ); // NB!
48 return sc.isSuccess() ? o : nullptr; // RETURN
49 }
50 // ===========================================================================
52 namespace
53 {
54 // ==========================================================================
GaudiPython.HistoUtils.path
path
Definition: HistoUtils.py:772
StatusCode::isSuccess
bool isSuccess() const
Test for a status code of SUCCESS.
Definition: StatusCode.h:74
StatusCode
This class is used for returning status codes from appropriate routines.
Definition: StatusCode.h:26
DataObject
A DataObject is the base class of any identifiable object on any data store.
Definition: DataObject.h:30